import React from 'react';
import PropTypes from 'prop-types';
import { Button, Toast } from 'antd-mobile';
import styles from './style.scss';
import eqIcon from '../../images/Equipment/equip_number_icon@2x.png';
import { testWater,quickTest } from '../../api/index';
import UserInfoContext from '../../context/userinfo-context';
import JsBarcode from 'jsbarcode';

export class Index extends React.Component {
  static propTypes = {
    name: PropTypes.string,
    rateType: PropTypes.number,
    barcode: PropTypes.string,
  };
  constructor(props) {
    super(props);
    this.state = {
      showBig: false,
    };
  }

  componentWillMount() {
    const { setTitle } = this.props;
    setTitle('测试吹风');
  }
  componentDidMount() {
    this.createBarcode();
  }
  createBarcode = () => {
    const { barcode } = this.props;
    let barStr = `${barcode}1`;
    let dom = document.getElementById('BarCode');

    JsBarcode(dom, barStr, {
      margin: 0,
      height: 300,
    });
  };
  toggleBigBarCode = () => {
    const { showBig } = this.state;
    this.setState({
      showBig: !showBig,
    });
  };
  startTest0 = () => {
    Toast.loading('', 20);
    console.log(this.props.match.params);
    const { deviceCode } = this.props.match.params;
    console.log(deviceCode);
    // const { quantity } = this.state;
    const { side } = { "side":0 };
    testWater({
        deviceCode,
        side,
    }).then(res => {
        console.log(res);
        Toast.success(res.msg || '设置成功!');
    }).catch(err => {
        console.log(err);
        Toast.fail(err.msg || '请求失败');
    });
  };
  startTest1 = () => {
    Toast.loading('', 20);
    const { deviceCode } = this.props.match.params;
    // const { quantity } = this.state;
    const { side } = { "side":1 };
    testWater({
        deviceCode,
        side,
    }).then(res => {
        console.log(res);
        Toast.success(res.msg || '设置成功!');
    }).catch(err => {
        console.log(err);
        Toast.fail(err.msg || '请求失败');
    });
  };
  quickBlower0 =()=>{
    Toast.loading('', 20);
    const { deviceCode } = this.props.match.params;
    // const { quantity } = this.state;
    const { side } = { "side":0 };
    quickTest({
        deviceCode,
        side,
    }).then(res => {
        console.log(res);
        Toast.success(res.msg || '设置成功!');
    }).catch(err => {
        console.log(err);
        Toast.fail(err.msg || '请求失败');
    });
  }
  quickBlower1 = () => {
    Toast.loading('', 20);
    const { deviceCode } = this.props.match.params;
    // const { quantity } = this.state;
    const { side } = { "side":1 };
    quickTest({
        deviceCode,
        side,
    }).then(res => {
        console.log(res);
        Toast.success(res.msg || '设置成功!');
    }).catch(err => {
        console.log(err);
        Toast.fail(err.msg || '请求失败');
    });
  };
  render() {
    const { deviceCode } = this.props.match.params;
    const { showBig } = this.state;
    return (
      <div className='appContent TestWater'>
        <div className={showBig ? 'BarCodeBox BarCodeBoxBig' : 'BarCodeBox'}>
          <div className={showBig ? 'BarCodeImg BarCodeImgBig' : 'BarCodeImg'}>
            <img id='BarCode' alt='' />
          </div>
          <div className='toggleBtn' onClick={this.toggleBigBarCode}>
            {showBig ? '缩小' : '放大'}
          </div>
        </div>
        <div className='inputBox'>
          <i className='inputIcon'>
            <img src={eqIcon} alt='' />
          </i>
          <span className='ellipsis inputText'>
            设备编号：
            {deviceCode}
          </span>
        </div>
        <div className="flex_box">
        <Button type='primary' className="btn"  onClick={this.startTest0}>
          测试左边
        </Button><Button type='primary' className="btn1" onClick={this.quickBlower0}>
          退出吹风
        </Button>
        </div>
        <br></br>
        <div className="flex_box">
        <Button type='primary' className="btn" onClick={this.startTest1}>
          测试右边
        </Button><Button type='primary' className="btn1" onClick={this.quickBlower1}>
          退出吹风
        </Button>
        </div>
      </div>
    );
  }
}

export default props => (
  <UserInfoContext.Consumer>
    {({ userinfo }) => (
      <Index
        {...props}
        rateType={userinfo.position.mode}
        barcode={userinfo.barcode}
      />
    )}
  </UserInfoContext.Consumer>
);
